Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Fillet Command (at the same time)

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
alvi_90
239 Views, 2 Replies

Fillet Command (at the same time)

Hi guys,

is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank youautocad.JPG

2 REPLIES 2
Message 2 of 3
pbejse
in reply to: alvi_90


@alvi_90 wrote:

Hi guys,

is it possible to connect 10/20 polylines at the same time? the multiple command exists, but every time I have to select polyline. thank you


(defun c:demo (/ rad r ss i e)
(setq rad (getvar "FILLETRAD"))
(if  (and
       (setq r (getdist (strcat "\nEnter Radius " (rtos rad) ": ")))
       (setq ss (ssget '((0 . "LWPOLYLINE,POLYLINE"))))
       )
  (progn
    (setvar "FILLETRAD" r)
	  (repeat  (setq i (sslength ss))
		    (setq e (ssname ss (setq i (1- i))))
		    (command "_FILLET" "P" e)
		  )
	    )
    )
  (princ)
)

HTH

Message 3 of 3
alvi_90
in reply to: alvi_90

thank you!! fantastic!!

works as I wanted

thank you very much

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report